#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    int q;
    cin>>n;
    cin>>q;
    int a[n];
    int b;
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    sort(a,a+n);
    int veci=0;
    int manji=0;
    int isti=0;
    for(int i=0;i<q;i++)
    {
        cin>>b;
        int l=lower_bound(a,a+n,b)-a ;
        int u=upper_bound(a,a+n,b)-a ;
        veci=n-u;
        manji=l;
        isti =u-l;
        if (isti>abs(veci-manji))cout<<0;
        else if (veci>=manji) cout<< veci-manji-isti+1;
        else cout<< manji-veci-isti;
    }
    return 0;
}